Package ru.bitel.bgbilling.modules.enaza.server.bean

# Class EnazaAccessToken

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.enaza.server.bean.EnazaAccessToken

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class EnazaAccessToken
    extends Id

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `EnazaAccessToken()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `generate()` |
  `java.lang.String` | `getAccessToken()` |
  `java.util.Date` | `getAccessTokenCreate()` |
  `java.lang.String` | `getCode()` |
  `java.util.Date` | `getCodeExpire()` |
  `int` | `getContractId()` |
  `void` | `setAccessToken​(java.lang.String accessToken)` |
  `void` | `setAccessTokenCreate​(java.util.Date accessTokenCreate)` |
  `void` | `setCode​(java.lang.String code)` |
  `void` | `setCodeExpire​(java.util.Date codeExpire)` |
  `void` | `setContractId​(int contractId)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EnazaAccessToken

    public EnazaAccessToken()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getCode

    public java.lang.String getCode()

  - ### setCode

    public void setCode​(java.lang.String code)

  - ### getCodeExpire

    public java.util.Date getCodeExpire()

  - ### setCodeExpire

    public void setCodeExpire​(java.util.Date codeExpire)

  - ### getAccessToken

    public java.lang.String getAccessToken()

  - ### setAccessToken

    public void setAccessToken​(java.lang.String accessToken)

  - ### getAccessTokenCreate

    public java.util.Date getAccessTokenCreate()

  - ### setAccessTokenCreate

    public void setAccessTokenCreate​(java.util.Date accessTokenCreate)

  - ### generate

    public java.lang.String generate()